2008-06-21  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Matthias Clasen <mclasen@redhat.com>

	* gnome-window-properties.c: (main):
	* window-properties.desktop.in.in: update icon name to use what
	gnome-icon-theme uses (bug #539343)

==================== 2.23.2 ====================

2007-12-06  Jens Granseuer  <jensgr@gmx.net>

	* gnome-window-properties.c: (reload_mouse_modifiers): add a comment
	for translators (bug #502087)

2007-04-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* window-properties.desktop.in.in: renamed Bugzilla product.

2007-03-23  Priit Laes  <amd@store20.com>

	* gnome-window-properties.c: (double_click_titlebar_changed_callback),
	(reload_settings), (update_wm), (main): Deprecated GtkOptionMenu to
	GtkComboBox conversion.
	* gnome-window-properties.glade: Ditto.
	Closes bug #421210.

2007-02-22  Jens Granseuer  <jensgr@gmx.net>

	* gnome-window-properties.c: (alt_click_radio_toggled_callback),
	(main), (reload_mouse_modifiers): remove some long-dead code; don't leak
	stuff on error, either

2007-01-31  Jens Granseuer  <jensgr@gmx.net>

	* gnome-window-properties.c: (main): don't leak the references to the
	glade dialog and GnomeProgram

2007-01-07  Thomas Wood  <thos@gnome.org>

	Patch by:  Elijah Newren <newren@gmail.com>

	* gnome-window-properties.c: (try_spawn_config_tool): Avoid markup in
	translatable messages. Fixes bug 360449.

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* window-properties.desktop.in.in: don't list the Application category,
	patch by Vincent Fretin <vincent.fretin@gmail.com> (Closes: #344321)

2006-01-03  Rajan Singh  <singh.rajan@wipro.com>

	* gnome-window-properties.c: (fill_radio) (reload_mouse_modifiers) : 
	Added mnemonics.
	* gnome-window-properties.glade : Removed the mnemonic.

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-window-properties.c: (main): Remove unused code.

2005-01-02  Sebastien Bacher  <seb128@debian.org>

	* gnome-window-properties.glade: 
	patch from Heikki Paajanen <hepaajan@iki.fi> (based on the patch
	from Andrew Johnson <acjgenius@earthlink.net>) 
	to not set "close" as the default button (Closes: #98202).

2004-12-15  Sebastien Bacher  <seb128@debian.org>

	* window-properties.desktop.in.in: changed the tooltip to respect 
	the HIG.

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install .desktop file in $(datadir)/applications
	
	* window-properties.desktop.in: add OnlyShowIn=GNOME;

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-08-20  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-window-properties.c: (main):
	Use themed icon for window hint.

2004-07-06  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-window-properties.glade:  Add mnemnoic widget for
	"Interval before raising" and add some label-for/labelled-by
	relations. Fixes bug #144586.

Mon Jun 21 15:52:57 2004  Jonathan Blandford  <jrb@gnome.org>

	* gnome-window-properties.c (set_alt_click_value): Set the radio
	group to be inconsistent if no matching modifier is found.

	* gnome-window-properties.c (reload_settings): Check for NULL,
	141453

2004-06-07  Kaushal Kumar  <kaushal.kumar@wipro.com>

	* gnome-window-properties.c (response_cb): Associate the help
	button response with the appropriate callback.
	Fixes bug #141391.

2004-05-30  Ole Laursen  <olau@hardworking.dk>

	* gnome-window-properties.glade: Revamped the internal design and
	inserted headings to make the layout cleaner.

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-08-01  Dennis Cranston  <dennis_cranston at yahoo com>

	* gnome-window-properties.glade: Patch to fix spacing between 
	action area and vbox of preferences dialog.

2003-07-17  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-window-properties.glade:  Make close the default 
	button.

2003-07-17  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-window-properties.glade:  Minor HIG widget padding
	adjustments.
	
2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-04-30  Alex Duggan  <aldug@astrolinux.com>

	* gnome-window-properties.c: use appropriate
	window border icon.

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-12-01  Havoc Pennington  <hp@pobox.com>

	* gnome-window-properties.c: modify to use slider/radio instead of 
	spinbutton/optionmenu.

	* gnome-window-properties.glade: make UI review changes

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-10-26  Havoc Pennington  <hp@pobox.com>

	* gnome-window-properties.c: rewrite

	* Makefile.am (bin_PROGRAMS): remove metacity module, move to 
	libwindow-settings
	(gnome_window_properties_LDADD): properly link to .la file for 
	libgnome-window-settings, not the installed copy

2002-10-21  Seth Nickell  <snickell@stanford.edu>

	* gnome-window-properties.c: (setup_appearance_option_menu):

	Fix potential segfault.
	
2002-10-21  Seth Nickell  <snickell@stanford.edu>

	* gnome-window-properties.c: (update_gui):

	Fix segfault caused by a WM where the settings module
	wasn't found.
	
2002-10-21  Seth Nickell  <snickell@stanford.edu>

        Patch from sylvain_pasche@yahoo.fr
	
	* gnome-window-properties.c: (setup_appearance_option_menu):

	Fix bug that caused a segfault when the GConf theme key
	was missing.

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-08-31  Jacob Berkman  <jacob@ximian.com>

	* metacity-window-manager.c: include sys/types.h before dirent.h
	and string.h

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-19  Ross Burton  <ross@burtonini.com>

	* window-properties.desktop.in: Fix the desktop file so it
	validates.

2002-08-08  jacob berkman  <jacob@ximian.com>

	* metacity-window-manager.c (_MetacityWindowManagerPrivate): add
	padding so that it builds on non-gcc

2002-08-08  Seth Nickell  <snickell@stanford.edu>

	* metacity-window-manager.c: (metacity_set_theme),
	(add_themes_from_dir), (metacity_get_theme_list),
	(metacity_set_font), (metacity_set_focus_follows_mouse),
	(metacity_get_user_theme_folder),
	(metacity_window_manager_class_init):

	Implement all calls for metacity, and check more error
	stuff.
	
2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-06-04  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:

	Remove unused CFLAGS;
	
	* gnome-window-properties.c: (wm_widget_add_wm),
	(setup_appearance_option_menu):

	Improve handling of option menus, set the default item.
	
	* metacity-window-manager.c: (metacity_set_theme),
	(add_themes_from_dir), (metacity_get_theme_list),
	(metacity_set_font), (metacity_set_focus_follows_mouse),
	(metacity_window_manager_class_init):

	Actually do things when the "set" calls are made, improve
	intelligence of loading the theme list. Eventually we should
	probably do validation on the XML files.
	
2002-06-04  Seth Nickell  <snickell@stanford.edu>

	* gnome-window-properties.c: (set_wm_change_pending),
	(wm_selection_changed), (wm_widget_add_wm), (apply_wm),
	(setup_appearance_option_menu), (appearance_changed),
	(setup_dialog), (main):
	* gnome-window-properties.glade:
	* metacity-window-manager.c: (metacity_get_theme_list):

	Handle setting the currently running window manager properly.

	Get the theme list, and make changes based on it to the GConf setting.
	
2002-06-02  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:
	* gnome-window-properties.c: (wm_selection_changed),
	(wm_widget_add_wm), (update_gui), (apply_wm), (create_dialog),
	(main):

	Split code for changing window managers into libgnome-window-settings.
	This is so in the future we can potentially move this into gnome-settings-daemon,
	though for now its not robust enough that we really want to do that.
	
	* metacity-window-manager.c: (window_manager_new),
	(metacity_window_manager_init), (metacity_window_manager_finalize),
	(metacity_window_manager_class_init),
	(metacity_window_manager_get_type):
	* metacity-window-manager.h:

	Update to match changes to gnome-window-manager.h
	
	* wm-exec.c:
	* wm-list.c:
	* wm-properties.h:

	Move these into libgnome-window-settings.

	(Jacob, I did make dist, and then built the resulting tarball, hope I
	 don't cause problems this time :-/)
	
2002-05-30  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-window-properties.c (main): Use GETTEXT_PACKAGE, not PACKAGE.
	  Also add bind_textdomain_codeset() call.
	* gnome-window-properties.c: Fix some compiler warnings.
	
2002-05-15  jacob berkman  <jacob@ximian.com>

	* Makefile.am (libmetacity_la_SOURCES): remove
	gnome-window-manager.h

2002-05-14  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:
	* gnome-window-manager.c:
	* gnome-window-manager.h:

	Move into a seperate library so the settings daemon
	can avail of this code.

2002-05-11  Seth Nickell  <snickell@stanford.edu>

	* .cvsignore:

	Ignore gladep (grrr) files.
	
	* Makefile.am:
	* gnome-window-manager.c: (gnome_window_manager_new):
	* gnome-window-manager.h:
	* metacity-window-manager.c: (window_manager_new),
	(metacity_set_theme), (metacity_get_theme_list),
	(metacity_set_font), (metacity_get_focus_follows_mouse),
	(metacity_set_focus_follows_mouse), (finalize), (class_init),
	(init), (metacity_window_manager_get_type):
	* metacity-window-manager.h:

	First pass at adding settings modules.
	
	* window-capplet.png:

	Use the wm-properties icon.

	* wm-list.c: (wm_list_find), (wm_list_find_exec):

	Nix some warnings caused by non-use of const.

	* gnome-window-properties.c: (setup_dialog):
	* gnome-window-properties.glade:

	Tweak appearance some more.
	
2002-05-10  Seth Nickell  <snickell@stanford.edu>

	* gnome-window-properties.c: (setup_dialog), (main):

	Hook titlebar font into GConf key.

	* window-properties.desktop.in:

	Set title in .desktop file.
	
2002-05-10  Seth Nickell  <snickell@stanford.edu>

	* gnome-window-properties.c: (set_wm_change_pending),
	(state_changed), (create_dialog):
	* gnome-window-properties.glade:

	Make the glade file look a little bit better, hide the property widgets when
	there is a window manager change pending.

2002-05-10  Seth Nickell  <snickell@stanford.edu>

	* .cvsignore:
	* Makefile.am:
	* gnome-window-properties.c: (wm_selection_changed),
	(wm_widget_clear), (wm_widget_new), (wm_widget_add_wm),
	(response_cb), (state_changed), (restart_label_update),
	(restart_dialog_raise), (restart_dialog_destroyed),
	(show_restart_dialog), (hide_restart_dialog), (update_session),
	(init_session), (update_gui), (init_callback), (restart_finalize),
	(restart_failure), (show_restart_info), (restart_finish),
	(restart_callback), (restart), (revert_callback),
	(cancel_callback), (apply_wm), (create_dialog), (main):
	* gnome-window-properties.glade:
	* window-capplet.png:
	* window-properties.desktop.in:
	* wm-exec.c: (wm_is_running), (find_gnome_wm_window),
	(find_wm_window_from_client), (window_has_wm_state),
	(descendent_has_wm_state), (find_wm_window_from_hunt),
	(find_wm_window), (start_timeout), (start_do), (kill_timeout),
	(wm_restart), (wm_guess_current):
	* wm-list.c: (is_blank), (wm_compare), (wm_free),
	(wm_check_present), (wm_copy), (wm_list_find), (wm_list_find_exec),
	(wm_list_find_files), (wm_list_read_dir), (wm_list_init),
	(wm_list_save), (wm_list_revert), (wm_list_add), (wm_list_delete),
	(wm_list_set_current), (wm_list_get_current), (wm_list_get_revert),
	(wm_read_from_xml), (wm_list_read_from_xml), (wm_write_to_xml),
	(wm_list_write_to_xml), (xml_read_bool), (xml_write_bool):
	* wm-properties.h:
